#!/bin/ksh

ECHO="/bin/echo"
TRUE=0
FALSE=1

$ECHO "  "
$ECHO "Uninstall Fixpack 5.1.1.3 for WebSphere Commerce Suite, AIX"
$ECHO "Please shut down the Application Server and any Webservers that might be running"
$ECHO "  "

# print usage.
print_usage() {
   $ECHO "usage: `basename $0` <wcs_home> <was_home>"
   $ECHO "Example: ./uninstall.sh /usr/lpp/CommerceSuite /usr/IBMWebAS"
}


# checks if required directories exist.
check_paths() {
local val=1

   if [ -d $WCS_HOME ] && val=2 && [ -d $WAS_HOME ]
   then
#   	$ECHO "---- Components path check passed -----"
	return $TRUE
   else
   	$ECHO "---- Please correct following error: ----"

	case $val in
	   1) $ECHO "Invalid WCS_HOME directory."
	      ;;
	   2) $ECHO "Invalid WAS_HOME directory."
	      ;;
	esac
   fi

   return $FALSE
}


# checks if required files exist.
check_files() {
local val=1

   if [ -f $WCS_FP5113_DIR/WCSfixpack5113_AIX_backup.jar ] && val=2 && \
      [ -f $WCS_FP5113_DIR/WCSfixpack5113_AIX.log ]
   then
#   	$ECHO "---- Files check passed ----"
	return $TRUE
   else
   	$ECHO "---- Please correct following error: ----"

	case $val in
	   1) $ECHO "The following file does not exist: $WCS_FP5113_DIR/WCSfixpack5113_AIX_backup.jar"
	      ;;
	   2) $ECHO "The following file does not exist: $WCS_FP5113_DIR/WCSfixpack5113_AIX.log"
	      ;;
	esac
   fi

   return $FALSE;
}



# beginning of script.
#clear

#ensure correct number of arguments provided.
if [ $# -ne 2 ]; then
   print_usage
   exit 0
else
   WCS_HOME=$1
   WAS_HOME=$2
fi


# check if necessary components install path exist.
if check_paths; then
   $ECHO "main - check path PASSED."
else
   $ECHO "main - check path FAILED."
   exit 0
fi


WCS_FP5113_DIR="$WCS_HOME/service/fixpack/5113"


# check if necessary files exist.
if check_files; then
   $ECHO "main - check files PASSED."
else
   $ECHO "main - check files FAILED."
   exit 0
fi


# Uninstall Fixpack 5.1.1.3 for WebSphere Commerce Suite, AIX
$ECHO "main - uninstalling fixpack."

$WAS_HOME/java/jre/sh/java -jar $WCS_FP5113_DIR/WCSfixpack5113_AIX_backup.jar -log $WCS_FP5113_DIR/UninstallWCSfixpack5113_AIX.log

$ECHO "main - uninstalling fixpack complete."

exit 0
